.gradient (@startColor: #eee, @endColor: white) {
  background-color: @startColor;
  background: -webkit-gradient(linear, left top, left bottom, from(@startColor), to(@endColor));
  background: -webkit-linear-gradient(top, @startColor, @endColor);
  background: -moz-linear-gradient(top, @startColor, @endColor);
  background: -ms-linear-gradient(top, @startColor, @endColor);
  background: -o-linear-gradient(top, @startColor, @endColor);
}
.gradient-bg-img (@startColor: #eee, @endColor: white) {
  background-color: @startColor;
  background-image: -webkit-gradient(linear, left top, left bottom, from(@startColor), to(@endColor));
  background-image: -webkit-linear-gradient(top, @startColor, @endColor);
  background-image: -moz-linear-gradient(top, @startColor, @endColor);
  background-image: -ms-linear-gradient(top, @startColor, @endColor);
  background-image: -o-linear-gradient(top, @startColor, @endColor);
}

// Внутреняя тень
.box-shadow(@insert, @x: 0, @y: 0, @blur: 10px, @spread: 0, @alpha: 0.5) when (@insert = true) {
  -webkit-box-shadow: inset @x @y @blur rgba(0, 0, 0, @alpha);
  box-shadow: inset @x @y @blur rgba(0, 0, 0, @alpha);
}

// Внешняя тень
.box-shadow(@insert, @x: 0, @y: 0, @blur: 10px, @spread: 0, @alpha: 0.5) when (@insert = false) {
  -webkit-box-shadow: @x @y @blur rgba(0, 0, 0, @alpha);
  box-shadow: @x @y @blur rgba(0, 0, 0, @alpha);
}
